<?php
/*
* @package JoomShopping for Joomla!
* @subpackage payment
* @author CM-S.ru
* @copyright Copyright (C) 2012-2013 CM-S.ru. All rights reserved.
* @license GNU General Public License version 2 or later
*/

//защита от прямого доступа
defined('_JEXEC') or die();

//вывод настроек плагина
?>
<div class="col100">
	<fieldset class="adminform">
		<table class="admintable" width="100%">
			<tr>
				<td class="key" width="300">
					<?php echo _JSHOP_CFG_ONPAY_LOGIN; ?></td>
				<td>
					<input type="text" name="pm_params[onpay_login]" class="inputbox" value="<?php echo $params['onpay_login']; ?>" />
					<?php echo JHTML::tooltip(_JSHOP_CFG_ONPAY_LOGIN_DESCRIPTION); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo _JSHOP_CFG_ONPAY_SECRET_KEY; ?>
				</td>
				<td>
					<input type="text" name="pm_params[onpay_secret_key]" class="inputbox" value="<?php echo $params['onpay_secret_key'];?>" />
					<?php echo JHTML::tooltip(_JSHOP_CFG_ONPAY_SECRET_KEY_DESCRIPTION); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo _JSHOP_CFG_ONPAY_PRICE_FINAL; ?>
				</td>
				<td>
					<?php
						if (!isset($params['price_final'])) {
							$val = 1;
						} else {
							$val = $params['price_final'];	
						}
						
						echo JHTML::_('select.booleanlist', 'pm_params[price_final]', 'class="inputbox" size="1"', $val, 'JYES', 'JNO', false);
						echo JHTML::tooltip(_JSHOP_CFG_ONPAY_PRICE_FINAL_DESCRIPTION);
					?>
				</td>
			</tr>
            <tr>
				<td class="key">
					<?php echo _JSHOP_CFG_ONPAY_ADD_PARAMS; ?>
				</td>
				<td>
					<input type="text" name="pm_params[add_params]" class="inputbox" value="<?php echo $params['add_params'];?>" />
					<?php echo JHTML::tooltip(_JSHOP_CFG_ONPAY_ADD_PARAMS_DESCRIPTION); ?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo _JSHOP_TRANSACTION_END; ?>
				</td>
				<td>
				<?php              
					echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_end_status]', 'class="inputbox" size="1"', 'status_id', 'name', $params['transaction_end_status']);
				?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo _JSHOP_TRANSACTION_PENDING; ?>
				</td>
				<td>
				<?php 
					echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_pending_status]', 'class="inputbox" size="1"', 'status_id', 'name', $params['transaction_pending_status']);
				?>
				</td>
			</tr>
			<tr>
				<td class="key">
					<?php echo _JSHOP_TRANSACTION_FAILED; ?>
				</td>
				<td>
				<?php 
					echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_failed_status]', 'class="inputbox" size="1"', 'status_id', 'name', $params['transaction_failed_status']);
				?>
				</td>
			</tr>
		</table>
	</fieldset>
</div>
<div class="clr"></div>